blob_id stringlengths 40 40 | language stringclasses 1
value | repo_name stringlengths 4 115 | path stringlengths 2 970 | src_encoding stringclasses 28
values | length_bytes int64 31 5.38M | score float64 2.52 5.28 | int_score int64 3 5 | detected_licenses listlengths 0 161 | license_type stringclasses 2
values | text stringlengths 31 5.39M | download_success bool 1
class |
|---|---|---|---|---|---|---|---|---|---|---|---|
1489aaaa2f716f70f222f2e26197e0fa907caed7 | Shell | bpoulliot/hbcli-batchenc | /hbcli-batchenc-anonymized.sh | UTF-8 | 3,699 | 3.78125 | 4 | [] | no_license | #!/usr/bin/env bash
################DOCUMENTATION ONLY###################
# PURPOSE: Automate ripping of disc media via HandbrakeCLI
# USAGE: Automatic Setup: ./hbcli-batchenc.sh
# Manual Setup: ./hbcli-batchenc.sh <preset> <title>
# INPUT: Automatic Setup: NONE
# Manual Setup: Handbrake pr... | true |
25d732ffba6c7faa56af238591f14185580afaae | Shell | satyamisme/DirtyCow-R1_HD | /one-click-root.sh | UTF-8 | 8,727 | 3.234375 | 3 | [] | no_license | #!/bin/sh
echo --------------------------------------------------------------------------------------------
echo THERE ARE 10 PAUSES IS THIS SCRIPT SO LOOK FOR PROMTS FOR YOU TO HIT ENTER
echo --------------------------------------------------------------------------------------------
echo [*] BEFORE WE BEGIN THE SCRI... | true |
56c183a4a2702ad2ff52788744117b8266e3a871 | Shell | wonderley/configs | /scripts/nth | UTF-8 | 153 | 3.234375 | 3 | [
"MIT"
] | permissive | #!/bin/sh
lineNum=$1
if ! echo "$lineNum" |
grep -qE '^-[0-9]+$'; then
echo "provide a line number"
exit 1
fi
shift
head "$lineNum" "$@" | tail -1
| true |
06e15a32c90a13366c3ec27e805ea48404c2a32d | Shell | leohuang4977/tvb-ukbb | /bb_diffusion_pipeline/bb_probtrackx2/bb_post_probtrackx2 | UTF-8 | 1,185 | 3.640625 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
#### bb_post_probtrackx2
#
# concatenate parallelized probtrackx outputs
# and clean up probtrackx log files
#
. $BB_BIN_DIR/bb_pipeline_tools/bb_set_header
set +e
subjdir=`fsl_abspath $1`
subjdir=`echo ${subjdir} | sed 's/\/$/$/g'`
echo subjectdir is $subjdir
python $BB_BIN_DIR/bb_diffusion_pipeline/... | true |
a349ad627d1063914407847f84bfc4f8063a2db0 | Shell | sequenceiq/docker-hoya | /hoya-centos-install.sh | UTF-8 | 7,982 | 3.171875 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
#Install script for Hadoop 2.3 on CentOS 6.5.3/x86_64
#run as root (sudo su -)
# install packages
yum install -y curl which tar sudo openssh-server openssh-clients rsync
# passwordless ssh
ssh-keygen -q -N "" -t dsa -f /etc/ssh/ssh_host_dsa_key
ssh-keygen -q -N "" -t rsa -f /etc/ssh/ssh_host_rsa_key
ssh... | true |
db08b593dc7d4c141f41e0b850965a62e485b48c | Shell | DeGaido/opendomo | /src/odcommon/usr/local/bin/get_mem_free.sh | UTF-8 | 214 | 3.09375 | 3 | [] | no_license | #!/bin/sh
DATE=`date +%s`
INFO=`grep MemFree /proc/meminfo| sed 's/[^0-9]//g'`
MINFREE="1000"
if test "$INFO" -lt "$MINFREE"; then
/bin/logevent warning system "Free memory under [$MINFREE]"
fi
echo "$DATE $INFO"
| true |
5b35582ddd629a8c306d30ba457a0fc0aef197c2 | Shell | zerocoolys/gt | /run.sh | UTF-8 | 1,818 | 3.765625 | 4 | [] | no_license | #!/usr/bin/env bash -x
export MYSQL_PASS=123456
export MYSQL_RUN_DB=gt
export MYSQL_TEST_DB=gt_test
USAGE="Usage: run.sh [init|start|stop|test|clean|docker_start]"
if [ "$#" -ne 1 ]; then
echo $USAGE
exit 1
fi
case $1 in
init)
echo "pull image..."
docker pull mysql:5.6
echo "start... | true |
2d21a5eff7a96de853015749d9d5927c6a75212a | Shell | xanecs/cmake-nRF5x | /ci/scripts/common/consts.sh | UTF-8 | 1,598 | 2.765625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
source "${BASH_SOURCE%/*}/utils.sh"
# Global definitions
ROOT_LOCAL_DIR="${BASH_SOURCE%/*}/../../.."
ROOT_DIR="$(absolute $ROOT_LOCAL_DIR)"
BUILD_DIR="$ROOT_DIR/build"
CMAKE_DIR="$ROOT_DIR/cmake"
CI_DIR="$ROOT_DIR/ci"
SCRIPTS_DIR="$CI_DIR/scripts"
PYTHON_DIR="$SCRIPTS_DIR/python"
PYTHON_VENV_DIR="$PYTHON_... | true |
9c9c48f9ac03b0ebe3083cb9259cf16bc8517afc | Shell | Tigerlyly/Stevent | /setup/reset-server.sh | UTF-8 | 475 | 3.078125 | 3 | [] | no_license | #!/bin/bash
SCRIPT_LOC="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
. ${SCRIPT_LOC}/shared-vars.sh
${SCRIPT_LOC}/stop-server.sh || error "Could not stop server"
# Prepare configuration files
echo "eula=true" > ${DEPLOY_LOC}/eula.txt
cp -f ${SCRIPT_LOC}/${BASE_SERVER_PROPERTIES} ${DEPLOY_LOC}/s... | true |
ab4e4f5eb5a41468ba494da408826849acc5a604 | Shell | viaacode/viaa-derive | /viaaderive | UTF-8 | 18,903 | 3.9375 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
# creates derivative video files
# requires ffmpeg compiled with libx264 (yuv 8-bit), libvpx, libopus, and ffprobe
# defaults, can be overwritten with options
FFMPEG_PATH="ffmpeg"
FFPROBE_PATH="ffprobe"
# default ffmpeg input options
INPUTOPTIONS+=(-nostdin)
INPUTOPTIONS+=(-vsync 0)
INPUTOPTIONS+=... | true |
c389b5eb573afbfc455e02511a20989b0d5ce82a | Shell | sripadapavan/cloud-testing | /scripts/e2e/deploy/run.sh | UTF-8 | 5,555 | 3.625 | 4 | [] | no_license | #!/usr/bin/env bash
function wait_for_deployment_done() {
echo "Waiting for $CDS_DEPLOYMENT deployment done"
local idle_count=0
local active_tasks
local starting_vms
local failed_vapp
local failed_svc
local redeploy_svc_count=0
while [ true ]
do
let idle_count=idle_count+1
[ $($CDS_CLI tasks... | true |
47686e7f51a19dff0608893c096d808892d016a1 | Shell | ziertek/PiLight | /installers/install.sh | UTF-8 | 4,795 | 4.1875 | 4 | [
"MIT"
] | permissive | #!/usr/bin/sudo /bin/bash
SCRIPT=`realpath -s $0`
SCRIPTPATH=`dirname $SCRIPT`
STARTPWD=$PWD
GIT_URL='https://github.com/ziertek/PiLight'
# Define colors and styles
NORMAL="\033[0m"
BOLD="\033[1m"
GREEN="\e[32m"
RED="\e[31m"
YELLOW="\e[93m"
show_msg() {
echo -e $1 > /dev/tty
}
usage() {
echo -e "${BOLD}Usage... | true |
b0a734078ac7230310d0ae4cda006986334161a4 | Shell | netqyq/shell-examples | /code/CH15/proc2.sh | UTF-8 | 169 | 2.578125 | 3 | [
"MIT"
] | permissive | #proc2.sh
#!/bin/bash
echo "SUPPORTED FILESYSTEM TYPES:"
echo ---------------------------------------------------------
cat /proc/filesystems | awk -F'\t' '{print $2}'
| true |
139861f2cf26a9c084786dd04a63cbbb085fa0e0 | Shell | cpaika/spring-boot-java-base | /deployment/scripts/common/push-docker-image.sh | UTF-8 | 483 | 2.609375 | 3 | [
"MIT",
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
echo "Login into ECR ..."
$(aws ecr get-login --no-include-email)
echo "Push docker image to ECR ..."
./gradlew docker dockerTag dockerPush -PTAG=$TRAVIS_BUILD_NUMBER -PREPOSITORY_URI=$REPOSITORY_URI
printf '{"SPRING_PROFILES":"%s","SPLUNK_TOKEN":"%s", "ENVIRONMENT":"%s", "REPOSITORY_URI":"%s"}... | true |
addd15d7cb62e4f0349f99d74b20cdc9fd9bcc23 | Shell | russellmacshane/quick-wordpress | /qwcli/qwcli.sh | UTF-8 | 588 | 3.65625 | 4 | [] | no_license | #!/bin/bash
# https://github.com/brotandgames/bagcli -- example location
cli_help() {
cli_name=${0##*/}
echo "
$cli_name
Quick WordPress CLI
Version: 1.0.0
https://github.com/russellmacshane/quick-wordpress
Usage: $cli_name [command]
Commands:
backup Backup
list List Backups
restore Restore
* ... | true |
435ca3e79eb2346da97c4f745c43b539ebcf00b2 | Shell | isabella232/gpay-loyaltyapi-demo | /scripts/enable-api.sh | UTF-8 | 1,092 | 3.328125 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
# Copyright 2021 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or ag... | true |
85369c2103ca6188d2a7f3a2232650f5fc3a93d1 | Shell | wubo0067/calmwu-go | /example/sailcraft/startsvrs_domestic.sh | UTF-8 | 2,059 | 2.640625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
cd csssvr_main/bin/domestic
./start.sh
sleep 1
svr_count="`ps -ef|grep csssvr_main|grep -v 'grep'|wc -l`"
if [ $svr_count -gt 0 ]
then
echo "csssvr_main is start! `date`"|tee -a /var/log/message
else
echo "csssvr_main is start failed! `date`"|tee -a /var/log/message
fi
cd -
cd fleetsvr_main/bin/... | true |
a8cdc40147ce9edb6cc35ae44a52a22429bd67c3 | Shell | EscapeLife/awesome-builder | /common/vagrant/ansible/setup.sh | UTF-8 | 429 | 3.015625 | 3 | [
"Apache-2.0"
] | permissive | #/bin/sh
set -ex
# install some tools
sudo yum install -y epel-release git vim gcc glibc-static telnet
# open password auth for backup if ssh key doesn't work, bydefault, username=vagrant password=vagrant
sudo sed -i 's/PasswordAuthentication no/PasswordAuthentication yes/g' /etc/ssh/sshd_config
sudo systemctl resta... | true |
045c5e31529dcea0cb76e577edb4a578d548f623 | Shell | 316k/leopard-subpixel | /tests/img-subpixel/build-region-heatmap.sh | UTF-8 | 591 | 3.4375 | 3 | [] | no_license | #!/bin/bash
# usage: ./this 10-10, to build the heat-map around pixel (10, 10)
base="$1"
# 3 | 0
# -----
# 2 | 1
tac debug/$base-0 > heat-0
cp debug/$base-1 heat-1
cat heat-0 heat-1 > heat-right
tac debug/$base-3 > heat-3
cp debug/$base-2 heat-2
cat heat-3 heat-2 > heat-left-flipped
awk '{ for(i=NF; i>0; i--) ... | true |
85bd6266e6b0aac2ec5169e68e65bf333b64ddeb | Shell | sawsuh/dotfiles | /desktop/.scripts/scr.sh | UTF-8 | 310 | 2.59375 | 3 | [] | no_license | xcord=$(xdotool getmouselocation --shell | awk -F '=' '{print $2; exit}')
if [[ "$xcord" > 2560 ]]
then
maim -f png -u -g 2560x1440+2560+0 screenshots/$(date +'%y-%-m-%-d_%-T')mon2.png
else
maim -f png -u -g 2560x1440+0+0 screenshots/$(date +'%y-%-m-%-d_%-T')mon1.png
fi
sleep 1;
dunstify "screenshot taken"
| true |
71190942620f5d91997395625ed67045eea9fe26 | Shell | dark-panda/dotfiles | /bin/git-each-branch | UTF-8 | 115 | 2.734375 | 3 | [] | no_license | #!/bin/sh
for i in $(git for-each-ref --format='%(refname)' refs/heads/ | grep master -v); do
basename $i
done
| true |
14eb0af2b2384f8df4abbb05b88bf6e9c19eb505 | Shell | yq314/helm3-monitor | /scripts/install_plugin.sh | UTF-8 | 1,389 | 3.671875 | 4 | [
"MIT"
] | permissive | #!/bin/sh -e
if [ -n "${HELM_LINTER_PLUGIN_NO_INSTALL_HOOK}" ]; then
echo "Development mode: not downloading versioned release."
exit 0
fi
version="$(sed -n -e 's/version:[ "]*\([^"]*\).*/\1/p' plugin.yaml)"
echo "Downloading and installing helm3-monitor v${version} ..."
url="https://github.com/yq314/helm3-m... | true |
950e9e0da517b5bc6e9aef61c5102240c97dedd2 | Shell | rose36/RedesVirtuaisOpenstack | /scripts/criacao-automatizada-openstack.sh | UTF-8 | 4,419 | 3.671875 | 4 | [] | no_license | #!/bin/bash
x="teste"
menu ()
{
while true $x != "teste"
do
clear
echo "================================================"
echo "CRIAÇÃO DE CENÁRIOS OPENSTACK"
echo "Autora: Roseli da Rocha Barbosa"
echo ""
echo "1)Criação de redes"
echo""
echo "2)Criação de roteadores"
echo ""
echo "3)Adicionar interface ao roteador"
e... | true |
8dcd1ac64989257ce6568695b24e58ec619756e9 | Shell | labunix/sakuravps | /myscripts/luks_unmount.sh | UTF-8 | 445 | 3.0625 | 3 | [] | no_license | #!/bin/bash
if [ `id -u` -ne "0" ] ;then
echo "Sorry,Not Permit User!" >&2
exit 1
fi
USER=labunix
DEST=/home/${USER}/mydata
umount $DEST
cryptsetup luksClose luks
# header backup
LUKS_HEADER_BACKUP=luks.header
test -f ${DEST}/${LUKS_HEADER_BACKUP} && rm -f ${DEST}/${LUKS_HEADER_BACKUP}
test -f /home/luks.img ... | true |
c15c273fe461f9867f00381161c333a6baf4d63c | Shell | ctf2009/ansible-rpi-examples | /roles/autohotspot/files/enable.sh | UTF-8 | 236 | 2.921875 | 3 | [] | no_license | #!/bin/bash
if [[ $EUID -ne 0 ]]; then
echo "This script must be run as root"
exit 1
fi
systemctl enable autohotspot
sed -i '/#nohook wpa_supplicant/c\nohook wpa_supplicant' /etc/dhcpcd.conf
echo "AutoHotspot has been enabled"
| true |
6540c530c626a98412a34ac72d21649ccd9fdf55 | Shell | timeblink/code-snippets | /make_rom.sh | UTF-8 | 3,501 | 3.953125 | 4 | [] | no_license | #!/bin/bash
#===============================================================================
#
# Copyright © 2008-2018 xxx
#
# build shell script file.
#
# Author:
# E-mail:
# Date :
#
#-------------------------------------------------------------------------------
#
# EDIT HISTORY ... | true |
41170759590c8dd4e4b3d60d6a8754051aa8dce3 | Shell | ftdc-picsl/pipedream2018 | /auto/convertDicomBatch.sh | UTF-8 | 587 | 3.1875 | 3 | [] | no_license | #!/bin/bash
source /home/mgrossman/.bash_profile
procScriptDir=/data/grossman/pipedream2018/bin/scripts
dicomDir=/data/jet/grosspeople/Volumetric/SIEMENS/Subjects
niiDir=/data/jet/grosspeople/Volumetric/SIEMENS/pipedream2014/subjectsNii
subjectsAndTPs=`${procScriptDir}/auto/findDataToProcess.sh $dicomDir $niiDir`
... | true |
e8d58172354f8f799ab603d075ddb151d92fa984 | Shell | eprintsug/EPrintsArchivematica | /make_ingredient.sh | UTF-8 | 552 | 2.609375 | 3 | [] | no_license | #!/bin/bash
# Copy the contents into the structure used by an EPrints 3.4 ingredient.
# run ./make_ingredient.sh
# then place ingredients/archivematica under your EPrints 3.4 ingredients directory
# update your flavours/pub_lib/inc file to include ingredients/archivematica
# run epadmin update REPO
# apachectl gracef... | true |
c0e500b5054f7264ec9f67ef68d0f5120507781f | Shell | opensciencegrid/rsvprocess | /bin/run_daily.sh | UTF-8 | 284 | 2.765625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
#test
export JAVA_HOME=/usr/lib/jvm/java-openjdk
export PATH=$JAVA_HOME/bin:$PATH
export RSVPROCESS_HOME=/usr/local/rsvprocess
ant -f $RSVPROCESS_HOME/build.xml availability_yesterday
if [ ! $? -eq 0 ]; then
echo "availability(yesterday) calculation has failed"
fi;
| true |
357edde240e32764777c964357b55ec267ec6283 | Shell | KingBrewer/pi-gen | /stage2/02-net-tweaks/01-run.sh | UTF-8 | 429 | 2.515625 | 3 | [
"BSD-3-Clause"
] | permissive | #!/bin/bash -e
install -v -d "${ROOTFS_DIR}/etc/systemd/system/dhcpcd.service.d"
install -v -m 644 files/wait.conf "${ROOTFS_DIR}/etc/systemd/system/dhcpcd.service.d/"
sed "s/SSID_TOKEN/${WIFI_SSID}/" files/wpa_supplicant.tmpl | sed "s/PSK_TOKEN/${WIFI_PSK}/" > files/wpa_supplicant.conf
install -v -d "${ROOT... | true |
06d3a11055043bfd9efb30e5aa1b1e82adbf0e8e | Shell | microsoft/qlib-server | /scripts/install_qlib_client.sh | UTF-8 | 1,006 | 3.6875 | 4 | [
"LicenseRef-scancode-generic-cla",
"MIT"
] | permissive | #!/bin/bash
sudo apt-get update
sudo apt-get install -y g++ nfs-common
MINICONDA=https://repo.anaconda.com/miniconda/Miniconda3-latest-Linux-x86_64.sh
QLIB_CLIENT=https://github.com/microsoft/qlib.git
STOCK_DATA_DIR=/data/stock_data/qlib_data
CODE_DIR=$HOME/"code"
DOWNLOADS_DIR=$HOME/"downloads"
CONDA_DIR=$HOME/"mini... | true |
1752e15ba1b498b117d28b5b4d0f2e7b437c1bfe | Shell | meivv/study | /goland/test/install | UTF-8 | 211 | 2.90625 | 3 | [] | no_license | #!/usr/bin/env bash
if [ ! -f install ];then
echo 'install must be run within its container folder' 1>&2
exit 1
fi
WORKDIR=`pwd`
export GOPATH=$WORKDIR
gofmt -w src
go install test
echo 'finished'
| true |
079d8b105c45b5a37b54200f8258b18bfb9e394a | Shell | oussamazerrouki/ahr | /examples-mc-gke-eks-aks/bs-cluster-infra-az.sh | UTF-8 | 455 | 2.5625 | 3 | [
"Apache-2.0",
"LicenseRef-scancode-generic-cla",
"LicenseRef-scancode-warranty-disclaimer"
] | permissive | #!/bin/bash
BASEDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
export TF_MODULE=infra-cluster-az-tf
#
AZ_TFVARS=$TF_MODULE/az.auto.tfvars
AWS_TFVARS=$TF_MODULE/aws.auto.tfvars
source mc-r3-aks.env
cat <<EOF > "$AZ_TFVARS"
resource_group = "$RESOURCE_GROUP"
az_vnet = "$AZ_VNET"
az_vnet_subnet = "$AZ_VN... | true |
6db776b29cb0a4422c5660a5d7f94341e9aebfe2 | Shell | kbillore/security_addon | /Scripts/demo/developer/Send_License | UTF-8 | 1,371 | 3.1875 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
#
# Copyright (c) 2020-2021 Intel Corporation
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable... | true |
ade279f1f902dfd0d380db63d7b4fb553eb6088d | Shell | Schumi543/nim_9cc | /test.sh | UTF-8 | 542 | 3.34375 | 3 | [
"MIT"
] | permissive | #!/bin/bash
try() {
input="$1"
expected="$2"
./src/nim_9cc "$input" >./tmp.asm
# TODO also support ubuntu for CI
nasm -f macho64 tmp.asm -o tmp.o
ld tmp.o -o tmp -macosx_version_min 10.13 -lSystem
./tmp
actual="$?"
if [ "$actual" = "$expected" ]; then
echo "$input => $actual"
else
echo "$e... | true |
88a5885cac1ca784936df6567db2e7dd4c2f4ab9 | Shell | andreystarkov/dotfiles | /setup.sh | UTF-8 | 2,110 | 3.203125 | 3 | [] | no_license | #!/bin/bash
echo "🍓 Installing Mac hacks..."
# source ~/install.sh
source ~/mac/default-settings.sh
HOMEWORLD=~/.dotfiles
echo "🎁 Your configuration word will be stored at ${HOMEWORLD}"
echo "🚀 Copying ${PWD}"
echo "👇 To ~/.dotfiles"
cp -rf ./Desktop/code/dotfiles ~/.dotfiles
echo "🔪 Backuping pervous setup... | true |
26c445e64c860ad8efa09f73c8316f6f818ff2dd | Shell | VijayEluri/codes | /sh/sor1.sh | UTF-8 | 163 | 3.234375 | 3 | [] | no_license | #!/bin/bash
PATH=/usr/bin/*
for f in $PATH; do
if [ -x $f ]; then
echo "executable-->$f"
fi
if [ -h $f ]; then
echo "symbolic-->$f"
fi
done
| true |
a5c81c8d6dc4f25d50d66f885ebceec2a1ca0fa6 | Shell | px307/tech | /deploy.sh | UTF-8 | 593 | 2.71875 | 3 | [] | no_license | #!/usr/bin/env bash
TMP_DIR=/tmp/blog/
ORIGIN_ADDRESS=git@github.com:jjyyjjyy/tech.git
ORIGIN_BRANCH=gh-pages
cd notes
mvn clean asciidoctor:process-asciidoc
rm -rf ${TMP_DIR} && mkdir -p ${TMP_DIR}
cp -r target/generated-docs/** ${TMP_DIR}
cd ${TMP_DIR}
git init
git remote add origin ${ORIGIN_ADDRESS}
git add .
git c... | true |
c768c469d59b982c375cbf8889110cfb1aa74d50 | Shell | evias/eos-contracts | /token/install.sh | UTF-8 | 1,736 | 2.671875 | 3 | [] | no_license | #!/bin/bash
echo ""
echo "\t\t--- Now configuring tests/token EOS Functional Test ---"
echo ""
# @token owner & active
owner=`cleos create key --to-console | grep "Private key: " | awk '{print $3}'`
active=`cleos create key --to-console | grep "Private key: " | awk '{print $3}'`
owner_pub=`cleos wallet import -n evi... | true |
57ff818d4065443b014dc1a80c66fc7d5a38c15e | Shell | gaokevin1/cs326 | /Project4/tests/03-404-2.sh | UTF-8 | 357 | 3.109375 | 3 | [] | no_license | source "${TEST_DIR}/funcs.bash"
port=$(choose_port)
test_start "Serving a basic web page"
setsid $TEST_DIR/start_server "${port}" &
pid=${!}
wait_port "${port}"
actual=$(timeout 5 wget -O- "http://localhost:${port}/this/does/not/exist.html")
return="${?}"
stop_server ${pid}
# Return value will be 8 for a server e... | true |
c66c450c87c289d7566944ac63fa501b74de0509 | Shell | snizzer/nest-compiler | /utils/imagenet_val_script/mobilenet_multi.sh | UTF-8 | 2,816 | 2.625 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
input=$1
trap "exit" INT
# Declare an array of string with type
# "asymmetric" "symmetric" "symmetric_with_uint8" "symmetric_with_power2_scale"
declare -a quantizations=("symmetric" "symmetric_with_uint8" "symmetric_with_power2_scale")
declare -a executors=("image-classifier" "image-classifier_googlenet_mi... | true |
a79ae741bc9dc41da0bb10a2cc9d10c41b0a4160 | Shell | ykalidin/be-tools | /cloud/docker/lib/run_teagent.sh | UTF-8 | 513 | 2.546875 | 3 | [
"BSD-3-Clause"
] | permissive | #!/bin/bash
#
# Copyright (c) 2019. TIBCO Software Inc.
# This file is subject to the license terms contained in the license file that is distributed with this file.
#
if [[ "$9" == "aws" ]]; then
nohup python be_docker_container_discovery_aws.py -t $3 -u $4 -p $5 -py $6 -pi $7 -s $8 > discovery.logs 2>&1 &
eli... | true |
8c0c03a74170ffbe9117dea3b9ffdc51f192444e | Shell | fipar/benchmark_automation | /data_preparation_scripts/utils.sh | UTF-8 | 798 | 3.84375 | 4 | [] | no_license | #!/bin/bash
# this exports the env variables _threads, _size and _workload from file captures created with run_sysbench.sh, as
# described in the help output
export_fields_from_sysbench_wrapper_generated_file()
{
[ -z "$1" -o -z "$2" ] && {
cat <<EOF>&2
usage: $0 <filename> "<experiment name>"
Where
... | true |
aed405377d761548aa6ee938a181c13c047d6fcb | Shell | AaronParsons/ugradio | /dft_intro/genpdf | UTF-8 | 253 | 2.640625 | 3 | [] | no_license | #!/bin/bash
name=fourierc
# run latex
pdflatex $name.tex
# if latex terminated with errors, exit this script
[ $? -ne 0 ] && exit
# run latex again so that it gets all the cross-references right.
pdflatex $name.tex
# view pdf file
evince $name.pdf
| true |
4c1da3c1d7f578de6eb2c6cd7d9ec0aadd66b98a | Shell | DarkMiclos/oprendsz | /masodik | UTF-8 | 269 | 3.765625 | 4 | [] | no_license | #!/bin/bash
echo " A parancs neve: $0"
echo " Az első paramééter: $1"
echo " A második paraméter: $2"
echo " A paraméterek száma: $#"
if [ $1 -gt $2 ]; then
for I in $@ ; do
OSSZEG= `expr $OSSZEG + $I`
done
echo "A paraméterek összege: $Osszeg"
fi | true |
3242d49dc5c8f16c312e7da54de460c6f3f4aca4 | Shell | gvoskuilen/sst-sqe | /test/testSuites/testSuite_EmberSweep.sh | UTF-8 | 9,605 | 3.65625 | 4 | [] | no_license | #!/bin/bash
# testSuite_EmberSweep.sh
#######################################################################
#
# RRRR EEEEE A DDD M M EEEEE
# R R E A A D D MM MM E
# R R EEEE A A D D M MM M EEEE
# RRRR E AAAAA D D ... | true |
c44fd255a9e163c001422cad3f608ebfa40c4421 | Shell | darkangel-ua/hammer-bootstrap | /build.sh | UTF-8 | 1,131 | 3.484375 | 3 | [] | no_license | #!/bin/bash
set -e
function download()
{
url=$1
filename=$2
unpack_dest="./dependencies/"$3
if [ ! -d $unpack_dest ]; then
mkdir $unpack_dest
fi
curl -L "$url/$filename" > $filename
tar -xf "$filename" -C $unpack_dest
}
download 'http://downloads.sourceforge.net/project/boost/boost/1.58.... | true |
dde7e3cda59d3bdd8e38a32c118cb4b99c79891f | Shell | jkwebco/speech2txtclip | /picoTTSFromFile.sh | UTF-8 | 427 | 3.34375 | 3 | [
"MIT"
] | permissive | #!/bin/bash
#
# SVOX Pico TTS - Read text from file
#
# EXECUTE COMMAND
# ./picoTTSFromFile.sh text_en.txt
# ./picoTTSFromFile.sh de-DE text_de.txt
#
##### Constants
language="en-GB"
tmpFile="/tmp/picoTmpAudio.wav"
text=""
##### Main
if [ $# == 1 ]; then
text="${1}"
else
language="${1}"
text="${2}"
fi
... | true |
c5dd39bb52ab02bd9683bd4d5e81686a5d224a53 | Shell | haitch/bashsigterm | /bashsigterm.sh | UTF-8 | 326 | 3.15625 | 3 | [] | no_license | function loop()
{
while true
do
sleep 1
echo "looping"
done
}
function int()
{
echo "sigint"
exit
}
function term()
{
echo "term"
exit
}
function quit()
{
echo "quit"
exit
}
function shkill()
{
echo "kill"
exit
}
trap int SIGINT
trap term SIGTERM
trap shkill SIGKILL
trap quit SIGQUIT
... | true |
e1925b50bee6cd5301736b0d13ca55de5bea8979 | Shell | ipsaone/ANNA-Backend | /vagrant/configure | UTF-8 | 4,210 | 3.34375 | 3 | [
"MIT"
] | permissive | #! /usr/bin/env bash
export DEBIAN_FRONTEND=noninteractive
# Remove old log
[[ -f /home/vagrant/vm_build.log ]] && rm /home/vagrant/vm_build.log
# Put date in provision log
date > /home/vagrant/vm_build.log
# Variables
DBHOST=localhost
DBNAME=ipsaone
DBUSER=root
DBPASSWD=secret
echo -e "\n--- Provisioning Vagrant ... | true |
85ac1a79b97430a325e886dbc7397be2cf9726d0 | Shell | kaloun34/mister-arcade-attract | /Attract_Arcade_Horiz.sh | UTF-8 | 3,284 | 3.3125 | 3 | [] | no_license | #!/bin/bash
# This sets up a Linux daemon to cycle through arcade cores periodically
# Games are randomly pulled from all MRAs or a user-provided list
# To adjust the timeout change the "sleep" value
#
# https://github.com/mrchrisster/mister-arcade-attract/
# Variables
# Time before going to the next core
timer=120
... | true |
27b13b15e218e1d4d8c088d0a8645a6d29d64f97 | Shell | StefanSchwartze/frontend-configs | /release.sh | UTF-8 | 1,208 | 3.8125 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
RED='\033[0;31m'
CYAN='\033[0;36m'
YELLOW='\033[1;33m'
NC='\033[0m'
PACKAGE=""
function inquirePackage {
echo "Which package do you want to release?"
select yn in "eslint-config-sevenval" "tslint-config-sevenval" "stylelint-config-sevenval"; do
case $yn in
eslint-config-sevenv... | true |
29879fbc85cbe763e68dde9949eaaef92f88299f | Shell | hanakin/mac-setup | /test.sh | UTF-8 | 621 | 2.75 | 3 | [] | no_license | #!/bin/zsh
# include my library helpers for colorized echo and require_brew, etc
source ./scripts/lib.sh
###############################################################################
# Gather info
###############################################################################
bot "testing bot function should be blu... | true |
419d4141a3d8b4ac3b0867d01e813b985fc24601 | Shell | Marwito/minutehero-webapp | /scripts/server_setup.sh | UTF-8 | 3,036 | 2.78125 | 3 | [] | no_license | #!/usr/bin/env bash
# PRUN+Chef: Based on ubuntu: 16.04.1 LTS + SSHD(with authorize_key)
sudo apt-get -y update
## Ruby and dependencies
# Pre-requirements
sudo apt-get install -y git build-essential libsqlite3-dev libssl-dev gawk g++
sudo apt-get install -y libreadline6-dev libyaml-dev sqlite3 autoconf libgdbm-dev... | true |
05a57d7e9af9c67dff80cb9ce531b142adccd84f | Shell | Jokeren/COMP522 | /valgrind.sh | UTF-8 | 165 | 2.8125 | 3 | [] | no_license | #!/bin/bash
THREADS=(1 2 4 8 16 32)
MAIN=$1
DIR=$2
for ((i=0;i<${#THREADS[@]};i++))
do
valgrind --tool=massif $MAIN $DIR/config.${THREADS[$i]}.valgrind.txt
done
| true |
f638075a04dbd9a760ab3d523014ca75e1f2cac7 | Shell | LeeroyC710/docker_exercises | /scripting/secondscript.sh | UTF-8 | 540 | 3.265625 | 3 | [] | no_license | #!/bin/bash
#Takes a filene and title as user input
mkdir exercise2
#move into that directory
cd exercise2
#creates 2 .txt files
touch file1.txt
touch file2.txt
#moves one of the file outside the directory
mv file1.txt ./..
#renames the file to test1.txt
mv ~/file1.txt ~/test1.txt
#renames the second file to te... | true |
98ae764dc5101b18a73d4491ca0b11691f019763 | Shell | wvianna/formacaogesac_kitsos | /anexos.sh | UTF-8 | 1,523 | 3 | 3 | [] | no_license | #!/bin/bash
#este script foi desenvolvido para ser executado no GNU/Linux
g=`which wget`
if [ "$g" != "" ]
then
echo ######################################
echo "Usando o $g para download dos anexos"
echo ######################################
sleep 2
mkdir videos
cd videos
$g -c http://www.antispam.br... | true |
e407fe5e8b9b275b1436f4e90c951820739fa4da | Shell | ArtemKushnerov/dotfiles | /.bashrc | UTF-8 | 6,931 | 2.84375 | 3 | [] | no_license | export REPOS=~/dev/streetshares
export PATH=$PATH:$REPOS/kubernetes/scripts
export PATH=$PATH:$HOME/bin >> ~/.bash_profile
alias cleanpyc="find . -name *.pyc -delete"
alias gitaliases="cat ~/.git_aliases"
alias pullkub="pushd $REPOS/kubernetes && git pull && popd"
alias pullcommon3="pushd $REPOS/common3 && git pull &&... | true |
0b6a361413259b5575e07d9c3d5be3af8fd2a06d | Shell | CodeGlitcher/autossh-docker | /run.sh | UTF-8 | 1,665 | 3.703125 | 4 | [] | no_license | #!/bin/bash
set -e
echo "starting"
CONFIG_PATH=/data/config.json
if [ ! -f "$CONFIG_PATH" ]; then
echo "missing config data"
echo "coping example json to data dir"
cp /example/config-example.json /data/config.json
exit 1
fi
HOSTNAME=$(jq --raw-output ".hostname" $CONFIG_PATH)
SSH_PORT=$(jq --raw-outpu... | true |
6f14f060c309d0be6d136debf6903e1ae2156933 | Shell | youdowell/k8s-galera-init | /tests/mysql-tests.sh | UTF-8 | 7,454 | 3.671875 | 4 | [] | no_license | #!/bin/bash
set -e
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && cd .. && pwd )"
NAMESPACE="mysql-test"
label="app=mysql"
FAILED="`tput setaf 1`FAILED`tput sgr0`"
PASSED="`tput setaf 2`PASSED`tput sgr0`"
TIMEOUT=120s
# --------------------------------------
# K8S RESOURCES
# -------------------------------------... | true |
b89825e832157c17a1fb7ad0ba2b0a06826268aa | Shell | 5hir0kur0/dotfiles | /scripts/.local/bin/rofiinteractive.sh | UTF-8 | 1,540 | 3.71875 | 4 | [] | no_license | #!/bin/bash
set -euo pipefail
PROG=$1
TMPD=/tmp/.rofi_interactive_tmp
exec 2>&1
[ -d "$TMPD" ] || mkdir "$TMPD"
OUTPUT=$TMPD/$PROG/out
INPUT=$TMPD/$PROG/in
if [ ! -d "$TMPD/$PROG" ]; then
mkdir "$TMPD/$PROG"
touch "$TMPD/$PROG/in"
# please, someone forgive me for this...
(tail -f --pid=$$ "$INPUT"... | true |
e6e1f93f045de12acc8024550ca98a061b6c515a | Shell | chrisjbillington/chrisjbillington.github.io | /timers/update-vax/update-vax.sh | UTF-8 | 684 | 3.703125 | 4 | [] | no_license | #! /bin/bash
set -euxo
# Source our secrets, clone a temporary copy of the repo and cd to it. This also gets
# the LOCKFILE variable for locking access to the main repo.
source "$(dirname "$BASH_SOURCE")/../common.sh"
# Wait for vax data to become available:
if python wait-for-vax-update.py | grep "ready!"; then
... | true |
a4a9f713b7f2919a38c20f818f76e93397dbf5e7 | Shell | hansrune/domoticz-contrib | /utils/pingtests | UTF-8 | 960 | 3.546875 | 4 | [] | no_license | #!/bin/bash
#
# $Id$
#
PROG=$( basename $0 )
LOCALIP=$( netstat -rn | awk '/^0\./ { print $2 }' )
LOCALIP=${LOCALIP:-"192.168.1.1"}
DBGPRINT=${DBGPRINT:-":"}
DBGPRINT=${DBGPRINT:-"logger -t ${PROG} -p user.debug"}
LOGINF=${LOGINF:-"logger -t ${PROG} -p user.info"}
LOGERR=${LOGERR:-"logger -t ${PROG} -p user.error"}
#... | true |
1ef9f800d2c83312dac8986772d5771be2fd044e | Shell | songweizhi/Katana_cmds | /PacBio_cmds/PacBio_P_inhibens.sh | UTF-8 | 1,876 | 2.9375 | 3 | [] | no_license | # Working directory
cd /srv/scratch/z5039045/PacBio/Falcon/BS107_2.10
# Copy 210WT.samphased.fasta and 210WT.samphased.sam to working directory
cp /srv/scratch/z3452659/ThomasPacBio-Nov15/analysis/2017-07-09.SAMPhasedBLASR/210WT.samphased.fasta .
cp /srv/scratch/z3452659/ThomasPacBio-Nov15/analysis/2017-07-09.SAMPhas... | true |
394433682b5bc1403d60dac9f21a28de73508ad8 | Shell | Zeitvertreib/dotfiles | /shell/concepts/virtual_confs.sh | UTF-8 | 869 | 3.71875 | 4 | [] | no_license | #!/bin/bash
# create a virtualenv currtent directory and install the following
# django for python 3 , ipython
# not well tested
set -e # abort on errors
echo arg 1 = :$1: arg 2 = :$2: arg 3 = :$3:
# varfuervenv=$1
# function doit {
# shopt -s dotglob
pip_version="pip-3.2"
# echo arg 1 = :$1: arg 2 = :$2: arg 3 = :... | true |
1c8c7e7198a3dcbb0cdbd03778826437b64e7489 | Shell | nickkaczmarek/dotfiles | /zshrc | UTF-8 | 6,219 | 3.140625 | 3 | [] | no_license | # clear the pipes (revert to defaults)
emulate -LR zsh
source ~/.git-prompt.sh
setopt PROMPT_SUBST
# homebrew only needs to have this done if we're not on intel architecture
arch=$(/usr/bin/arch)
if [[ "$arch" -eq "arm64" ]]; then
if [[ $(command -v brew) ]]; then
else
eval $(/opt/homebrew/bin/brew s... | true |
6488bff04fafbeef299375118d9846c506e30042 | Shell | alibaba/GraphScope | /python/graphscope/gsctl/scripts/initialize.sh | UTF-8 | 735 | 3.3125 | 3 | [
"Apache-2.0",
"LicenseRef-scancode-proprietary-license",
"FSFAP",
"BSD-3-Clause-Clear",
"GPL-1.0-or-later",
"BSD-2-Clause-Views",
"Bitstream-Vera",
"MPL-2.0",
"LicenseRef-scancode-warranty-disclaimer",
"OFL-1.1",
"BSD-3-Clause",
"APAFML",
"0BSD",
"LicenseRef-scancode-free-unknown",
"CC-B... | permissive | script_dir="$(cd "$(dirname "$0")" && pwd)"
source ${script_dir}/lib/get_os_version.sh
source ${script_dir}/lib/log.sh
source ${script_dir}/lib/colors.sh
source ${script_dir}/lib/install_thirdparty_dependencies.sh
source ${script_dir}/lib/install_vineyard.sh
source ${script_dir}/lib/util.sh
## Code here runs inside t... | true |
57b8c0c4e5351415aa3bfbdcd7fefba4a9aef2e8 | Shell | mphe/GameLib | /checkentities.sh | UTF-8 | 180 | 2.984375 | 3 | [
"MIT"
] | permissive | #!/bin/bash
cd $(dirname $(readlink -f "$0"))
DIR="${1:-./assets/entities}"
FAIL=0
for i in "$DIR/"*; do
./build/bin/checkentcfg "$i" > /dev/null || FAIL=1
done
exit $FAIL
| true |
16074a8459929d57e99e40fe3496cf83f7b717ac | Shell | hsulab/DailyScripts | /server/thomas/vasp_BM.sh | UTF-8 | 1,750 | 3.359375 | 3 | [
"MIT"
] | permissive | #!/bin/bash -l
# 1. Force bash as the executing shell.
#$ -S /bin/bash
# 2. Request time of wallclocl time (format hours:minutes:seconds).
#$ -l h_rt=3:00:00
# 3. Request 1 gigabyte of RAM per process (nust be an integer).
#$ -l mem=1G
# 4. Request 10 gigabyte of TMPDIR space per node (default is 10 GB).
#$ -l tmpf... | true |
b6d92056e68fc1da71962652bb97304416808c64 | Shell | riboseinc/fuzzbsd | /fuzzbsd.sh | UTF-8 | 6,691 | 4 | 4 | [] | no_license | #!/bin/sh
#
# fuzzbsd.sh v1.1
#
# FuzzBSD, a filesystem image fuzzing script to test BSD kernels.
#
# A valid filesystem image gets corrupted by changing a the hex value of a
# single offset 255 times (0x00 - 0xff). FuzzBSD will then loop through each of
# the 255 images, configures a vnode/memory disk and then attempt... | true |
f133343d632007506e862c283fa3352a861269be | Shell | rfbarraza/dotfiles | /.config/yadm/bootstrap.d/scripts/lib/file.sh | UTF-8 | 8,034 | 4.21875 | 4 | [] | no_license | ##############################################################################
# #
# ░█▀▀░▀█▀░█░░░█▀▀░░░░█▀▀░█░█ #
# ░█▀▀░░█░░█░░░█▀▀░░░░▀▀█░█▀█ #
# ░▀... | true |
3c32ccb434beb17fdc05a9f1aa05097426442322 | Shell | DannyBen/rush-repo | /speedtest/main | UTF-8 | 396 | 3.078125 | 3 | [] | no_license | #!/usr/bin/env bash
source "$REPO_PATH/lib.sh"
install_function() {
pushtmp
# Version can be found here: https://www.speedtest.net/apps/cli
version=1.2.0
url="https://install.speedtest.net/app/cli/ookla-speedtest-${version}-linux-x86_64.tgz"
curl -L "$url" | tar xvz "speedtest"
sudo install -m 755 speedtes... | true |
72a05ebd49f48dedb6360bebf909b0f0ca2cecba | Shell | jprjr/htpasswd-auth-server | /bin/htpasswd-auth-server | UTF-8 | 2,443 | 3.828125 | 4 | [
"MIT",
"LicenseRef-scancode-unknown-license-reference"
] | permissive | #!/usr/bin/env bash
set -e
# handy functions {{{
function abspath_portable() {
# BSD readlink is different from GNU readlink, ugh.
[[ $1 = /* ]] && echo "$1" || echo "$PWD/${1#./}"
}
function is_integer?() {
[[ $@ =~ ^-?[0-9]+$ ]]
}
function abs_path() {
local abs_path=$(abspath_portable "$0")
pr... | true |
f5c6b9a4b9eef54dc2798be92fdf862c4011f3fa | Shell | webmaster-zundux/browser-tests | /test-remotely.sh | UTF-8 | 958 | 2.9375 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
if [[ $1 = '' ]]
then
# run in series due to saucelabs concurrency limits
echo "### running tests against all browsers"
set -x
nightwatch --config nightwatch-ci.js --env chrome-mac
nightwatch --config nightwatch-ci.js --env chrome-windows
nightwatch --config nightwatch-ci.js --env saf... | true |
e43220d3180262e19167d1af817eeff4ad9c8211 | Shell | smherwig/py-logshard | /kill_tailfile_selects_cronjob.sh | UTF-8 | 270 | 2.984375 | 3 | [] | no_license | #!/bin/sh
# usage: kill_tailfile_selects.sh yyy-mm-dd
# kills the tailfile_select.pl's that are tailing a log file named yyyy-mm-dd*
yyyy_mm_dd=$(date --date='2 days ago' +%Y-%m-%d)
ps aux | grep tailfile_select.pl | grep $yyyy_mm_dd | awk '{ print $2 }' | xargs kill
| true |
6defbbf38f73e66f0577cd3992be7c7eb7143dde | Shell | RORBrains/vagrant | /bootstrap.sh | UTF-8 | 1,340 | 3.15625 | 3 | [
"MIT"
] | permissive | #! /usr/bin/env bash
# Update system
apt-get update -y
# Create a swap file
fallocate -l 2G /swapfile
chmod 600 /swapfile
mkswap /swapfile
swapon /swapfile
echo '/swapfile none swap sw 0 0' | sudo tee -a /etc/fstab
# RVM
echo "Installing RVM..."
gpg --keyserver hkp://keys.gnupg.net --recv-keys 409B6B1796C275462A... | true |
3c443ccba1a9955f59cb19467df44ed1e3130561 | Shell | iodic/vagento | /vagento.sh | UTF-8 | 15,136 | 3.828125 | 4 | [] | no_license | #!/bin/bash
## BEGIN OUTPUT METHODS
# Echo in bold font if stdout is a terminal
ISTTY=0; if [ -t 1 ]; then ISTTY=1; fi
bold () { if [ $ISTTY -eq 1 ]; then tput bold; fi; }
red () { if [ $ISTTY -eq 1 ]; then tput setaf 1; fi; }
green () { if [ $ISTTY -eq 1 ]; then tput setaf 2; fi; }
yellow () ... | true |
25f64b818d4a0b780c1ba3ce35cce06693fcc81e | Shell | dantemorius/Scripts | /regras_nat_dedicado_completo.bash | UTF-8 | 27,824 | 3 | 3 | [] | no_license | #!/bin/bash
###########################
# ATIVACAO FIREWALL #
# Data: 26/06/2014 #
# Autor: Leonardo Araujo #
###########################
# ALERTA DE AJUSTE INICIAL
clear
echo ""
echo "
__ __ ______ _____ _____ ________ __ _ _
| \/ | _ | ____|_ _|... | true |
077e59423f9befb4ab79afa50029763d78fa6748 | Shell | planthertech/BESSO | /Fastinstall.sh | UTF-8 | 223 | 2.515625 | 3 | [] | no_license | #!/usr/bin/env bash
cd $HOME/BESSO
rm -rf $HOME/.telegram-cli
install() {
rm -rf $HOME/.telegram-cli
sudo chmod +x tg
chmod +x BESSO
chmod +x BE
./BE
}
if [ "$1" = "ins" ]; then
install
fi
chmod +x install.sh
lua start.lua
| true |
cdd867d2c305c10dfbf230f264bab7a3854eb839 | Shell | BorkStick/Spells | /Installs/zabbix-insall.sh | UTF-8 | 1,359 | 3.09375 | 3 | [] | no_license | #!/bin/bash
# Install zabbix server
# https://www.digitalocean.com/community/tutorials/how-to-install-and-configure-zabbix-to-securely-monitor-remote-servers-on-ubuntu-18-04
export DEBIAN_FRONTEND=noninteractive
# Prerequisites Install LAMP
sudo apt install apache2
sudo apt install mysql-server
sudo apt install php l... | true |
9a1b1efbe329841a7d26cfa10f09e54314bef932 | Shell | bitcrumb/ansible-infra | /.githooks/disallow-yml.sh | UTF-8 | 381 | 4.15625 | 4 | [] | no_license | #!/usr/bin/env bash
set -e
function check_extension() {
if basename "$1" | grep ".*\.yml$"; then
echo "YAML files with extension .yml are not allowed!"
exit 1
fi
}
case "${1}" in
--about)
echo "Disallows the usage of .yml extension instead of .yaml"
;;
*)
for file in $(git diff-index --cached --name... | true |
8a2a5d4b22e10addf142b7d0ff895ef3dd0ef489 | Shell | ironiemix/xenserver-scripts | /software-raid/02-prepare-chroot | UTF-8 | 1,431 | 3.265625 | 3 | [] | no_license | #!/bin/bash
. makeraid.conf || exit 1
MAXPART=$(gdisk -l $SOURCEDISK | tail -n 1 | awk '{print $1}')
echo "Source disk has $MAXPART partitions"
echo -n "Loading kernel module for raid1..."
modprobe md_mod
modprobe raid1
echo " done."
echo "Erzeuge /dev/md0 aus ${DESTDISK}1..."
yes|mdadm --create /dev/md0 --level=1... | true |
34c7b1f6501e0db012cc758589b91477347fe292 | Shell | qixin5/debloating_study | /expt/debaug/benchmark/rm-8.4/testscript/I2/5 | UTF-8 | 501 | 3.078125 | 3 | [
"MIT"
] | permissive | #!/bin/bash
BIN=$1
OUTDIR=$2
TIMEOUT=$3
INDIR=$4
cp -r $INDIR/dbstore ./
echo '#!/bin/bash' >run.sh
echo "" >>run.sh
echo "echo y | $BIN -ri dbstore/" >>run.sh
chmod 700 run.sh
{ timeout -k 9 ${TIMEOUT}s ./run.sh; } &>$OUTDIR/o5
echo "$?" >>$OUTDIR/o5
test -d dbstore
echo "$?" >>$OUTDIR/o5
test -f dbstore/file1.lo... | true |
03d046ab232c475621df80ca3907b582ff2b6c36 | Shell | pusher/testing | /scripts/update_prow_components.sh | UTF-8 | 706 | 3.40625 | 3 | [] | no_license | #!/usr/bin/env bash
root_dir="$(dirname "$(realpath "$0")")"
source "$root_dir"/preflight_checks.sh
new_tag="$1"
if [[ -z $new_tag ]]; then
echo "missing required new tag argument" >&2
exit 1
fi
echo "Updating pod utilities (excluding clonerefs): to $new_tag"
for i in initupload sidecar entrypoint; do
find $r... | true |
593b1eaa2c5396b71a05eb600faf44485039e7fd | Shell | wangchangdog/bash_scripts | /macos/big_sur/createmacosiso.sh | UTF-8 | 803 | 2.96875 | 3 | [] | no_license | #!/bin/sh
# 仮想のディスクイメージを作成
hdiutil create -o /tmp/Big\ Sur -size 16G -volname Big\ Sur -layout SPUD -fs HFS+J -type SPARSE
# 作成したディスクイメージをマウント
hdiutil attach /tmp/Big\ Sur.sparseimage -noverify -mountpoint /Volumes/Big\ Sur
# createinstallmediaを使って、ディスクイメージを作成
sudo $HOME/macOS\ Big\ Sur.app/Contents/Resources/createins... | true |
7688e7b1a8fb83dda94f75b23758c1d84417c981 | Shell | QuantitativeNeuroimagingLaboratory/LG-RBSN | /functions/MNIregionimagefrommanualedit_onereg.sh | UTF-8 | 1,827 | 2.96875 | 3 | [] | no_license | #!/bin/bash
#
# Region based spatial normalization
# Hengda He
#
Sub=$1
Outdir=$2
Subdir=$3
i=$4 # region number
#Sub=P00000001
#Outdir=/share/projects/razlighi_lab/users/hengda/RDIR_LM/Workspace_${Sub}
#Subdir=/share/projects/razlighi_lab/users/hengda/RDIR_LM/subjects_FS
SUBJECTS_DIR=${Subdir}
name=$(printf "%03... | true |
1dac18eb07ca479343d4a0e6de813044336781e9 | Shell | Caeno/Xamarin.Forms.GoogleMaps | /XFGoogleMapSample/Droid/appcenter-post-clone.sh | UTF-8 | 515 | 2.65625 | 3 | [
"CC-BY-SA-4.0",
"MIT",
"LicenseRef-scancode-unknown-license-reference"
] | permissive | #!/usr/bin/env bash
echo "Replace $(SolutionDir) to .. in .csproj"
perl -pi -e 's/\$\(SolutionDir\)/../g' ./XFGoogleMapSample.Droid.csproj
perl -pi -e 's/\$\(SolutionDir\)/../g' ../XFGoogleMapSample/XFGoogleMapSample.csproj
echo "Copy Variables_sample.cs to Variables.cs"
cp ../XFGoogleMapSample/Variables_sample.cs ..... | true |
c135fed0eb97714cda99b736f1e2d55244f8c65a | Shell | hugobenichi/doodles | /java/java8_sandbox/vagrant_init.sh | UTF-8 | 1,178 | 2.828125 | 3 | [] | no_license | #! /bin/bash
set -x
# config variables
java8_dl="http://download.java.net/jdk8/archive/b120/binaries/jdk-8-ea-bin-b120-linux-x64-12_dec_2013.tar.gz?q=download"
jdk8_path="/home/vagrant/jdk1.8.0/bin"
java_home="/home/vagrant/jdk1.8.0/"
ant_dl="http://ftp.yz.yamagata-u.ac.jp/pub/network/apache//ant/binaries/apache-an... | true |
c04402974782321388053da678acaec3d5343407 | Shell | aakash-johari/WSRedis | /quaffle-frontend/make-debian.sh | UTF-8 | 932 | 3.359375 | 3 | [] | no_license | #!/bin/bash -e
SERVICE=quaffle-frontend-service
MAJOR_VERSION=1
MINOR_VERSION=$(git log -n1 --format="%ct")
VERSION=${MAJOR_VERSION}.${MINOR_VERSION}
PACKAGE_HOME=${SERVICE}_${VERSION}
echo "================= Updating the NPM cache ==============="
npm install
echo "===================== Building code =============... | true |
77efae13fc29f71b68d7a410f10b4d17d889f01f | Shell | moshloop/systools | /bin/aws_list_instances | UTF-8 | 2,123 | 3.421875 | 3 | [] | no_license | #!/bin/bash
if [[ "$AWS_REGION" == "" ]]; then
ZONE=$(curl -s http://169.254.169.254/latest/meta-data/placement/availability-zone)
if [[ "$ZONE" == "" ]]; then
echo region lookup failed, must specify AWS_REGION
exit 1
fi
AWS_REGION=${ZONE:0:${#ZONE}-1}
fi
if [[ "$1" != "" ]]; then
... | true |
779df19e93b468a57ff1f78cdabf9e5b8192a3e6 | Shell | tttor/lab1231-sun-prj | /xprmnt/superpixel-generation/segment_dummy.sh | UTF-8 | 480 | 2.515625 | 3 | [] | no_license | #!/bin/bash
home=/home/tor
n_segment=10
img_dir=$home/dataset/pascal/VOC2010/VOCdevkit/VOC2010/JPEGImages-ClassSegmented
img_list_filepath=$home/dataset/pascal/VOC2010/meta/split_voc2010_philipp/All_1928.txt
img_extension=.jpg
out_dir=$home/xprmnt/superpixel-generation/voc2010/dummy-segmentation
mkdir -p $out_dir
... | true |
efafd4bff5c88f599210a6eb591ce96141c51674 | Shell | peterthomassen/RutgersIAF | /EventAnalyzer/test/createJobsToCondorLPC.sh | UTF-8 | 5,795 | 3.203125 | 3 | [
"MIT"
] | permissive | #!/bin/bash
echo ""
echo "-- Script to create Condor jobs for EventAnalyzer --"
if [ -z "$1" ] || [ -z "$2" ] || [ -z "$3" ]; then
echo "Missing arguments"
echo " ./createJobsToCondor.sh <script.C> <SampleDirName> <SampleFileList>"
echo " ex: ./createJobsToCondorLPC.sh exampleAnalysisTree.C TTJets ttje... | true |
31440d48eb4d89c8049f551688c6a0927c18661c | Shell | vibolyoeung/symfony-vagrant-shell | /provisioning/40-virtualhost.sh | UTF-8 | 695 | 3.515625 | 4 | [] | no_license | #!/bin/bash
STAMP="/home/vagrant/.$(basename $0)"
echo $STAMP
if [ ! -f $STAMP ]; then
export DEBIAN_FRONTEND="noninteractive" ; set -e #-x
cat > /etc/apache2/sites-available/${APPNAME}.conf << _EOF
<VirtualHost *:80>
ServerName 127.0.0.1:8000
DocumentRoot /vagrant/${APPNAME}/web
<Directory /vagran... | true |
b77305c2b4a164db012067704c37441ee1165c02 | Shell | fliptopbox/raspberry | /zero/scripts/day_time.sh | UTF-8 | 3,313 | 3.21875 | 3 | [] | no_license | #!/bin/bash
#
#
# ██████ █████ ██ ██ ████████ ██ ███ ███ ███████
# ██ ██ ██ ██ ██ ██ ██ ██ ████ ████ ██
# ██ ██ ███████ ████ ██ ██ ██ ████ ██ █████
# ██ ██ ██ ██ ██ ██ ██ ██ ██ ██ ██
# ██████ ██ ██ ██ ██ ██ ██ ██ ███████
# ... | true |
4799018bc26c73f0fe7df899e31af7681c36c4ff | Shell | VGP/vgp-assembly | /dx_applets/proc10xg/src/proc10xg.sh | UTF-8 | 965 | 3.09375 | 3 | [
"BSD-3-Clause"
] | permissive | #!/bin/bash
# proc10xG 0.0.1
set -x -e -o pipefail
main() {
echo "Value of asm: '$input_fastq'"
dx-download-all-inputs --parallel
mv in/*/*/*.fastq.gz .
for e in ${input_fastq_name[@]}; do
echo $e
if [[ $e == *"R1"* ]]; then
echo $e >> fw.ls
elif [[ $e == *"R2"* ]]; then
... | true |
6e58da42830fead1dbd0ae564bb20d17c8a6d26b | Shell | mhus/mhus-docker | /liferay-docker/builder/build_all_images.sh | UTF-8 | 8,933 | 3.40625 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
source ./_common.sh
BUILD_ALL_IMAGES_PUSH=${1}
function build_image {
#
# LIFERAY_DOCKER_IMAGE_FILTER="7.2.10-dxp-1 " ./build_all_images.sh
# LIFERAY_DOCKER_IMAGE_FILTER=7.2.10 ./build_all_images.sh
# LIFERAY_DOCKER_IMAGE_FILTER=commerce ./build_all_images.sh
#
if [ -n "${LIFERAY_DOCKER_IMAGE_FI... | true |
93ff0e6574fc69a96dc892492d6ba3e859db7e5a | Shell | getkub/SplunkScriplets | /devOps/SplunkEnterprise/configureSplunkMain.sh | UTF-8 | 4,519 | 3.90625 | 4 | [] | no_license |
#!/bin/sh
# ============================================================================
# Script to configure Splunk after first Deploy
# Version : 0.1
# ============================================================================
# ============================================================================
# Chec... | true |
5bfbfb62511543616aa2a639d49046729cb4621e | Shell | splo/git-tools | /bin/git-foreach | UTF-8 | 215 | 3.359375 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
find . -mindepth 1 -maxdepth 1 | while read dir; do
[[ -d "${dir}/.git" ]] && {
pushd "${dir}" >/dev/null
echo "# ${dir}"
eval "$@"
popd >/dev/null
}
done
| true |
eb3fa30a04caba1b363b3ab8bca5f0a4a4c991d4 | Shell | Startpiloten/ce-gen | /ce-gen.sh | UTF-8 | 5,955 | 3.671875 | 4 | [] | no_license | #!/usr/bin/env bash
clear
#parse_yaml function
parse_yaml() {
local prefix=$2
local s='[[:space:]]*' w='[a-zA-Z0-9_]*' fs=$(echo @|tr @ '\034')
sed -ne "s|^\($s\)\($w\)$s:$s\"\(.*\)\"$s\$|\1$fs\2$fs\3|p" \
-e "s|^\($s\)\($w\)$s:$s\(.*\)$s\$|\1$fs\2$fs\3|p" $1 |
awk -F$fs '{
indent = length($... | true |
5fd7afe6f11ea90d66af77fa97aa255833a8ef7a | Shell | charlesvardeman/ArchInstallMBP | /pre_install.sh | UTF-8 | 1,588 | 3.5625 | 4 | [] | no_license | #!/usr/bin/bash
# Defining the shell path and global variables
SHELL_PATH=$(readlink -f $0 | xargs dirname)
source ${SHELL_PATH}/scripts/global.sh
# Please make changes to the drive based on your hardware configuration
info "Formatting the drivers..."
mkfs.vfat -F32 /dev/sda1
mkfs.ext4 /dev/sda2
#mkswap /dev/sda3
#sw... | true |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.